Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## crypting
Class ConvertingFile

    java.lang.Object
      crypting.ConvertingFile

    public class ConvertingFile

extends java.lang.Object

Třída slouží pro převod různých souborů a vstupních proměnných na promenné jiného typu nebo na soubor

Constructor Summary
`ConvertingFile()`

Method Summary
`static byte[][]` | `ConvertingByteArray_ToByteMatrix(byte[] inputByteFile, int blockSize)` Převod bytového pole na bytovou matici.
`static byte[]` | `ConvertingByteMatrix_ToByteArray(byte[][] inputMatrix, int blocksize)` Metoda pro převod matice na bitové pole.
`static byte[]` | `ConvertingFile_ToByteArray(java.io.FileInputStream inputFile, int length)` Metoda pro převod vstupního souboru FileInputStream inputFile na bytové pole byte[].
`static java.lang.String` | `SavingByteArray_ToFile(byte[] inputByte, java.lang.String filename)` Metoda pro uložení bytového pole do souboru.
`static java.lang.String` | `SavingByteMatrix_ToFile(java.lang.String filename, byte[][] input, int blockSize)` Uložení bytové matice do souboru.
`static java.lang.String` | `SavingString_ToFile(java.lang.String filename, java.lang.String value)` Metoda pro uložení textového řetězce do souboru.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConvertingFile

    public ConvertingFile()

Method Detail

### ConvertingFile_ToByteArray

    public static byte[] ConvertingFile_ToByteArray(java.io.FileInputStream inputFile,
                                                    int length)
                                             throws java.io.IOException

  Metoda pro převod vstupního souboru FileInputStream inputFile na bytové pole byte[].

  Parameters:
    `inputFile` - - Vstupní soubor
    `length` - - parametr délky souboru pro inicializaci bytové pole s potřebnou délkou.
  Returns:
    - Vrací bytové pole obsahující vstupní soubor.
  Throws:
    `java.io.IOException`

### ConvertingByteArray_ToByteMatrix

    public static byte[][] ConvertingByteArray_ToByteMatrix(byte[] inputByteFile,
                                                            int blockSize)

  Převod bytového pole na bytovou matici. Použítí u šifrování ve všech kryptografických metodách.

  Parameters:
    `inputByteFile` - - Vstupní bytové pole.
    `blockSize` - - Délka potřebného bloku, tj. počet sloupců v matici.
  Returns:
    - Vrací matici.

### SavingByteMatrix_ToFile

    public static java.lang.String SavingByteMatrix_ToFile(java.lang.String filename,
                                                           byte[][] input,
                                                           int blockSize)
                                                    throws java.io.IOException

  Uložení bytové matice do souboru.

  Parameters:
    `filename` - - Jméno souboru.
    `input` - - Vstupní matice pro uložení.
    `blockSize` - - Počet sloupců v matici.
  Returns:
    - Metoda vrací celou cestu a jméno uloženého souboru.
  Throws:
    `java.io.IOException`

### SavingByteArray_ToFile

    public static java.lang.String SavingByteArray_ToFile(byte[] inputByte,
                                                          java.lang.String filename)
                                                   throws java.io.FileNotFoundException,
                                                          java.io.IOException

  Metoda pro uložení bytového pole do souboru.

  Parameters:
    `inputByte` - - Vstupní bytové pole.
    `filename` - - Jméno souboru.
  Returns:
    - Metoda vrací celou cestu a jméno uloženého souboru.
  Throws:
    `java.io.FileNotFoundException`
    `java.io.IOException`

### ConvertingByteMatrix_ToByteArray

    public static byte[] ConvertingByteMatrix_ToByteArray(byte[][] inputMatrix,
                                                          int blocksize)

  Metoda pro převod matice na bitové pole.

  Parameters:
    `inputMatrix` - - Vstupní matice.
    `blocksize` - - Počet sloupců v matici.
  Returns:
    - Metoda vrací vytvořené bytové pole z matice.

### SavingString_ToFile

    public static java.lang.String SavingString_ToFile(java.lang.String filename,
                                                       java.lang.String value)
                                                throws java.io.IOException

  Metoda pro uložení textového řetězce do souboru.

  Parameters:
    `filename` - - Jméno souboru.
    `value` - - Vstupní textový řetězec.
  Returns:
    - Metoda vrací celou cestu a jméno vytvořeného souboru.
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD